org.apache.lucene.codecs.compressing

## Class CompressingCodec

- java.lang.Object
- - org.apache.lucene.codecs.Codec
  - - org.apache.lucene.codecs.FilterCodec
    - - org.apache.lucene.codecs.compressing.CompressingCodec

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

Direct Known Subclasses:
  DummyCompressingCodec, FastCompressingCodec, FastDecompressionCompressingCodec, HighCompressionCompressingCodec

    public abstract class CompressingCodec
    extends FilterCodec

A codec that uses `CompressingStoredFieldsFormat` for its stored fields and delegates to `Lucene42Codec` for everything else.

### Field Summary

### Fields inherited from class org.apache.lucene.codecs.FilterCodec

`delegate`

### Constructor Summary

Constructors
Constructor and Description
`CompressingCodec(String name, CompressionMode compressionMode, int chunkSize)` Creates a compressing codec with an empty segment suffix
`CompressingCodec(String name, String segmentSuffix, CompressionMode compressionMode, int chunkSize)` Creates a compressing codec with a given segment suffix

### Method Summary

Methods
`static CompressingCodec` `randomInstance(Random random)` Creates a random `CompressingCodec` that is using an empty segment suffix
`static CompressingCodec` `randomInstance(Random random, boolean withSegmentSuffix)` Creates a random `CompressingCodec` that is using a segment suffix
`static CompressingCodec` `randomInstance(Random random, int chunkSize, boolean withSegmentSuffix)` Create a random instance.
`StoredFieldsFormat` `storedFieldsFormat()`
`TermVectorsFormat` `termVectorsFormat()`
`String` `toString()`

### Methods inherited from class org.apache.lucene.codecs.FilterCodec

`docValuesFormat, fieldInfosFormat, liveDocsFormat, normsFormat, postingsFormat, segmentInfoFormat`

### Methods inherited from class org.apache.lucene.codecs.Codec

`availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompressingCodec

    public CompressingCodec(String name,
                    String segmentSuffix,
                    CompressionMode compressionMode,
                    int chunkSize)

Creates a compressing codec with a given segment suffix

#### CompressingCodec

    public CompressingCodec(String name,
                    CompressionMode compressionMode,
                    int chunkSize)

Creates a compressing codec with an empty segment suffix

### Method Detail

#### randomInstance

    public static CompressingCodec randomInstance(Random random,
                                  int chunkSize,
                                  boolean withSegmentSuffix)

Create a random instance.

#### randomInstance

    public static CompressingCodec randomInstance(Random random)

Creates a random `CompressingCodec` that is using an empty segment suffix

#### randomInstance

    public static CompressingCodec randomInstance(Random random,
                                  boolean withSegmentSuffix)

Creates a random `CompressingCodec` that is using a segment suffix

#### storedFieldsFormat

    public StoredFieldsFormat storedFieldsFormat()

Overrides:
  `storedFieldsFormat` in class `FilterCodec`

#### termVectorsFormat

    public TermVectorsFormat termVectorsFormat()

Overrides:
  `termVectorsFormat` in class `FilterCodec`

#### toString

    public String toString()

Overrides:
  `toString` in class `Codec`